import es
import playerlib

# Edit below here
#############################
# Should HealMe announce itself on round_start?
hm_announce = 1
# How much does a bandage cost
hm_cost = 750
# How much health will you get?
hm_healhealth = 30
# How much health do you have to be UNDER for healing to be possible?
hm_minhealth = 45
##############################
# But dont edit below here =]

info = es.AddonInfo()
info['name']        = "HealMe"
info['version']     = "1.04"
info['author']      = "DeathX9 [Xtreme Gaming]"
info['basename']      = "healme"
info['url']         = "http://addons.eventscripts.com/addons/view/healme"
info['description'] = "Simple addon that allows players with low health to get a bandage, for a cost that is."
es.ServerVar('healme_ver','1.04','HealMe Version').makepublic()

def load():
  es.regsaycmd('!healme', 'healme/doheal', 'HealMe - Get me a bandage!')
  es.stringtable('downloadables', 'sound/healme/bandage.mp3')
  es.msg('#multi', '#green[HealMe]#default now#green loaded#default.')

def es_map_start(ev):
  es.stringtable('downloadables', 'sound/healme/bandage.mp3')

def doheal():
  userid = es.getcmduserid()
  player = playerlib.getPlayer(userid)
  userdead = player.get('isdead')
  if userdead != 1:
    usercash = player.get('cash')
    if usercash >= hm_cost:
      userhealth = player.get('health')
      if userhealth <= hm_minhealth:
        userhealth = userhealth + hm_healhealth
        usercash = usercash - hm_cost
        player.set('health', userhealth)
        player.set('cash', usercash)
        es.emitsound('player', userid, 'healme/bandage.mp3', '0.6', '0.7')
        es.tell(userid, '#multi', '#green[HealMe]#default You just bought a#green',hm_healhealth,'#defaulthealth bandage for #green$',hm_cost)
      else:
        es.tell(userid, '#multi', '#green[HealMe]#default Oh come on, thats not a wound! Get out and fight!')
    else:
      es.tell(userid, '#multi', '#green[HealMe]#default You do not have enough money for a bandage, you need #green$',hm_cost)
  else:
    es.tell(userid, '#multi', '#green[HealMe]#default Maybe get a bandage BEFORE you die next time.')
    
def round_start(ev):
  if hm_announce == 1:
    es.msg('#multi', '#green[HealMe]#default If you are under#green',hm_minhealth,'#defaulthealth, type#green !healme#default in chat to get a bandage for #green$',hm_cost)
    
def unload():
  es.msg('#multi', '#green[HealMe]#default has been#green unloaded#default.')
  es.unregsaycmd('!healme')